> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer un site

> Renvoie un site par son identifiant.

Renvoie un site par son identifiant.

```json Réponse theme={null}
{
  "sitesByPk": {
    "id": 1,
    "name": "Atelier Nord",
    "gln": "3401234000022",
    "legalEntity": "Bonx Industries SAS",
    "address": {
      "id": 2,
      "name": "Atelier Nord",
      "city": "Roubaix",
      "postalCode": "59100",
      "country": "FR"
    }
  }
}
```


## OpenAPI

````yaml openapi.json GET /sites/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /sites/{id}:
    get:
      summary: Retrieve a site
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  sitesByPk:
                    nullable: true
                    properties:
                      address:
                        nullable: true
                        properties:
                          city:
                            nullable: false
                            type: string
                          country:
                            nullable: true
                            type: string
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: true
                            type: string
                          postalCode:
                            nullable: false
                            type: string
                        type: object
                      gln:
                        nullable: true
                        type: string
                      id:
                        nullable: false
                        type: integer
                      legalEntity:
                        nullable: true
                        type: string
                      name:
                        nullable: false
                        type: string
                    type: object
          description: Response

````